declare type BatchOptions = {
    signal?: AbortSignal;
    timeFrameMs?: number;
};
export declare function batchWork(performWork: () => boolean, { signal, timeFrameMs }?: BatchOptions): Promise<void>;
export {};
